Module | Chef::IndexQueue::Indexable
In: | lib/chef/index_queue/indexable.rb

### Methods

add_to_index delete_from_index included index_object_type with_indexer_metadata

### Classes and Modules

Module Chef::IndexQueue::Indexable::ClassMethods

### Attributes

index_id | [RW] |

### Public Class methods

included(including_class)

### Public Instance methods

add_to_index(metadata={})
delete_from_index(metadata={})
index_object_type()
with_indexer_metadata(indexer_metadata={})

[Validate]